Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlToolBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIToolBar
                  org.richfaces.component.html.HtmlToolBar

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlToolBar

extends UIToolBar

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlToolBar()`

Method Summary
`java.lang.String` | `getContentClass()`
`java.lang.String` | `getContentStyle()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getItemSeparator()`
`java.lang.String` | `getOnitemclick()`
`java.lang.String` | `getOnitemdblclick()`
`java.lang.String` | `getOnitemkeydown()`
`java.lang.String` | `getOnitemkeypress()`
`java.lang.String` | `getOnitemkeyup()`
`java.lang.String` | `getOnitemmousedown()`
`java.lang.String` | `getOnitemmousemove()`
`java.lang.String` | `getOnitemmouseout()`
`java.lang.String` | `getOnitemmouseover()`
`java.lang.String` | `getOnitemmouseup()`
`java.lang.String` | `getSeparatorClass()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getWidth()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContentClass(java.lang.String _contentClass)`
`void` | `setContentStyle(java.lang.String _contentStyle)`
`void` | `setHeight(java.lang.String _height)`
`void` | `setItemSeparator(java.lang.String _itemSeparator)`
`void` | `setOnitemclick(java.lang.String _onitemclick)`
`void` | `setOnitemdblclick(java.lang.String _onitemdblclick)`
`void` | `setOnitemkeydown(java.lang.String _onitemkeydown)`
`void` | `setOnitemkeypress(java.lang.String _onitemkeypress)`
`void` | `setOnitemkeyup(java.lang.String _onitemkeyup)`
`void` | `setOnitemmousedown(java.lang.String _onitemmousedown)`
`void` | `setOnitemmousemove(java.lang.String _onitemmousemove)`
`void` | `setOnitemmouseout(java.lang.String _onitemmouseout)`
`void` | `setOnitemmouseover(java.lang.String _onitemmouseover)`
`void` | `setOnitemmouseup(java.lang.String _onitemmouseup)`
`void` | `setSeparatorClass(java.lang.String _separatorClass)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setWidth(java.lang.String _width)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlToolBar

    public HtmlToolBar()

Method Detail

### getContentClass

    public java.lang.String getContentClass()

### setContentClass

    public void setContentClass(java.lang.String _contentClass)

### getContentStyle

    public java.lang.String getContentStyle()

### setContentStyle

    public void setContentStyle(java.lang.String _contentStyle)

### getHeight

    public java.lang.String getHeight()

  Specified by:
    `getHeight` in class `UIToolBar`

### setHeight

    public void setHeight(java.lang.String _height)

  Specified by:
    `setHeight` in class `UIToolBar`

### getItemSeparator

    public java.lang.String getItemSeparator()

  Specified by:
    `getItemSeparator` in class `UIToolBar`

### setItemSeparator

    public void setItemSeparator(java.lang.String _itemSeparator)

  Specified by:
    `setItemSeparator` in class `UIToolBar`

### getOnitemclick

    public java.lang.String getOnitemclick()

### setOnitemclick

    public void setOnitemclick(java.lang.String _onitemclick)

### getOnitemdblclick

    public java.lang.String getOnitemdblclick()

### setOnitemdblclick

    public void setOnitemdblclick(java.lang.String _onitemdblclick)

### getOnitemkeydown

    public java.lang.String getOnitemkeydown()

### setOnitemkeydown

    public void setOnitemkeydown(java.lang.String _onitemkeydown)

### getOnitemkeypress

    public java.lang.String getOnitemkeypress()

### setOnitemkeypress

    public void setOnitemkeypress(java.lang.String _onitemkeypress)

### getOnitemkeyup

    public java.lang.String getOnitemkeyup()

### setOnitemkeyup

    public void setOnitemkeyup(java.lang.String _onitemkeyup)

### getOnitemmousedown

    public java.lang.String getOnitemmousedown()

### setOnitemmousedown

    public void setOnitemmousedown(java.lang.String _onitemmousedown)

### getOnitemmousemove

    public java.lang.String getOnitemmousemove()

### setOnitemmousemove

    public void setOnitemmousemove(java.lang.String _onitemmousemove)

### getOnitemmouseout

    public java.lang.String getOnitemmouseout()

### setOnitemmouseout

    public void setOnitemmouseout(java.lang.String _onitemmouseout)

### getOnitemmouseover

    public java.lang.String getOnitemmouseover()

### setOnitemmouseover

    public void setOnitemmouseover(java.lang.String _onitemmouseover)

### getOnitemmouseup

    public java.lang.String getOnitemmouseup()

### setOnitemmouseup

    public void setOnitemmouseup(java.lang.String _onitemmouseup)

### getSeparatorClass

    public java.lang.String getSeparatorClass()

### setSeparatorClass

    public void setSeparatorClass(java.lang.String _separatorClass)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in class `UIToolBar`

### setWidth

    public void setWidth(java.lang.String _width)

  Specified by:
    `setWidth` in class `UIToolBar`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.